[gnome-calculator] Modernize autogen.sh
- From: Michael Catanzaro <mcatanzaro src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-calculator] Modernize autogen.sh
- Date: Fri, 22 May 2015 15:34:49 +0000 (UTC)
commit f592f8c3774bed4f0dc32b0a0a8c9b037fa05ff3
Author: Michael Catanzaro <mcatanzaro gnome org>
Date: Fri May 22 10:18:33 2015 -0500
Modernize autogen.sh
autogen.sh | 18 +++++++++---------
1 files changed, 9 insertions(+), 9 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 6bd2f06..77f1d2c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,15 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+[ -z "$srcdir" ] && srcdir=.
-PKG_NAME="gnome-calculator"
-REQUIRED_AUTOMAKE_VERSION=1.7
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
+if [ ! -f "$srcdir/configure.ac" ]; then
+ echo "$srcdir doesn't look like source directory for GNOME Calculator" >&2
+ exit 1
+fi
which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
+ echo "You need to install gnome-common from GNOME Git"
+ exit 1
}
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+
+. gnome-autogen.sh "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]